Viewing docs for Nutanix v0.11.0
published on Monday, Nov 24, 2025 by Piers Karsenbarg
published on Monday, Nov 24, 2025 by Piers Karsenbarg
Viewing docs for Nutanix v0.11.0
published on Monday, Nov 24, 2025 by Piers Karsenbarg
published on Monday, Nov 24, 2025 by Piers Karsenbarg
Fetch a category
Example
import * as pulumi from "@pulumi/pulumi";
import * as nutanix from "@pierskarsenbarg/nutanix";
const get_category = nutanix.getCategoryV2({
extId: "85e68112-5b2b-4220-bc8d-e529e4bf420e",
});
import pulumi
import pulumi_nutanix as nutanix
get_category = nutanix.get_category_v2(ext_id="85e68112-5b2b-4220-bc8d-e529e4bf420e")
package main
import (
"github.com/pierskarsenbarg/pulumi-nutanix/sdk/go/nutanix"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := nutanix.LookupCategoryV2(ctx, &nutanix.LookupCategoryV2Args{
ExtId: "85e68112-5b2b-4220-bc8d-e529e4bf420e",
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Nutanix = Pulumi.Nutanix;
return await Deployment.RunAsync(() =>
{
var get_category = Nutanix.GetCategoryV2.Invoke(new()
{
ExtId = "85e68112-5b2b-4220-bc8d-e529e4bf420e",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.nutanix.NutanixFunctions;
import com.pulumi.nutanix.inputs.GetCategoryV2Args;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var get-category = NutanixFunctions.getCategoryV2(GetCategoryV2Args.builder()
.extId("85e68112-5b2b-4220-bc8d-e529e4bf420e")
.build());
}
}
variables:
get-category:
fn::invoke:
function: nutanix:getCategoryV2
arguments:
extId: 85e68112-5b2b-4220-bc8d-e529e4bf420e
Using getCategoryV2
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getCategoryV2(args: GetCategoryV2Args, opts?: InvokeOptions): Promise<GetCategoryV2Result>
function getCategoryV2Output(args: GetCategoryV2OutputArgs, opts?: InvokeOptions): Output<GetCategoryV2Result>def get_category_v2(expand: Optional[str] = None,
ext_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetCategoryV2Result
def get_category_v2_output(expand: Optional[pulumi.Input[str]] = None,
ext_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetCategoryV2Result]func LookupCategoryV2(ctx *Context, args *LookupCategoryV2Args, opts ...InvokeOption) (*LookupCategoryV2Result, error)
func LookupCategoryV2Output(ctx *Context, args *LookupCategoryV2OutputArgs, opts ...InvokeOption) LookupCategoryV2ResultOutput> Note: This function is named LookupCategoryV2 in the Go SDK.
public static class GetCategoryV2
{
public static Task<GetCategoryV2Result> InvokeAsync(GetCategoryV2Args args, InvokeOptions? opts = null)
public static Output<GetCategoryV2Result> Invoke(GetCategoryV2InvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetCategoryV2Result> getCategoryV2(GetCategoryV2Args args, InvokeOptions options)
public static Output<GetCategoryV2Result> getCategoryV2(GetCategoryV2Args args, InvokeOptions options)
fn::invoke:
function: nutanix:index/getCategoryV2:getCategoryV2
arguments:
# arguments dictionaryThe following arguments are supported:
- Ext
Id string - The extID for the category.
- Expand string
- A URL query parameter that allows clients to request related resources when a resource that satisfies a particular request is retrieved. Each expanded item is evaluated relative to the entity containing the property being expanded. Other query options can be applied to an expanded property by appending a semicolon-separated list of query options, enclosed in parentheses, to the property name. Permissible system query options are $filter, $select and $orderby. The following expansion keys are supported:
- associations
- detailedAssociations
- Ext
Id string - The extID for the category.
- Expand string
- A URL query parameter that allows clients to request related resources when a resource that satisfies a particular request is retrieved. Each expanded item is evaluated relative to the entity containing the property being expanded. Other query options can be applied to an expanded property by appending a semicolon-separated list of query options, enclosed in parentheses, to the property name. Permissible system query options are $filter, $select and $orderby. The following expansion keys are supported:
- associations
- detailedAssociations
- ext
Id String - The extID for the category.
- expand String
- A URL query parameter that allows clients to request related resources when a resource that satisfies a particular request is retrieved. Each expanded item is evaluated relative to the entity containing the property being expanded. Other query options can be applied to an expanded property by appending a semicolon-separated list of query options, enclosed in parentheses, to the property name. Permissible system query options are $filter, $select and $orderby. The following expansion keys are supported:
- associations
- detailedAssociations
- ext
Id string - The extID for the category.
- expand string
- A URL query parameter that allows clients to request related resources when a resource that satisfies a particular request is retrieved. Each expanded item is evaluated relative to the entity containing the property being expanded. Other query options can be applied to an expanded property by appending a semicolon-separated list of query options, enclosed in parentheses, to the property name. Permissible system query options are $filter, $select and $orderby. The following expansion keys are supported:
- associations
- detailedAssociations
- ext_
id str - The extID for the category.
- expand str
- A URL query parameter that allows clients to request related resources when a resource that satisfies a particular request is retrieved. Each expanded item is evaluated relative to the entity containing the property being expanded. Other query options can be applied to an expanded property by appending a semicolon-separated list of query options, enclosed in parentheses, to the property name. Permissible system query options are $filter, $select and $orderby. The following expansion keys are supported:
- associations
- detailedAssociations
- ext
Id String - The extID for the category.
- expand String
- A URL query parameter that allows clients to request related resources when a resource that satisfies a particular request is retrieved. Each expanded item is evaluated relative to the entity containing the property being expanded. Other query options can be applied to an expanded property by appending a semicolon-separated list of query options, enclosed in parentheses, to the property name. Permissible system query options are $filter, $select and $orderby. The following expansion keys are supported:
- associations
- detailedAssociations
getCategoryV2 Result
The following output properties are available:
- Associations
List<Piers
Karsenbarg. Nutanix. Outputs. Get Category V2Association> - This field gives basic information about resources that are associated to the category.
- Description string
- A string consisting of the description of the category as defined by the user.
- Detailed
Associations List<PiersKarsenbarg. Nutanix. Outputs. Get Category V2Detailed Association> - This field gives detailed information about resources that are associated to the category.
- Ext
Id string - Id string
- The provider-assigned unique ID for this managed resource.
- Key string
- The key of a category when it is represented in key:value format.
- Links
List<Piers
Karsenbarg. Nutanix. Outputs. Get Category V2Link> - A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
- Owner
Uuid string - This field contains the UUID of a user who owns the category.
- Tenant
Id string - A globally unique identifier that represents the tenant that owns this entity.
- Type string
- Denotes the type of a category. There are three types of categories: SYSTEM, INTERNAL, and USER.
- Value string
- The value of a category when it is represented in key:value format
- Expand string
- Associations
[]Get
Category V2Association - This field gives basic information about resources that are associated to the category.
- Description string
- A string consisting of the description of the category as defined by the user.
- Detailed
Associations []GetCategory V2Detailed Association - This field gives detailed information about resources that are associated to the category.
- Ext
Id string - Id string
- The provider-assigned unique ID for this managed resource.
- Key string
- The key of a category when it is represented in key:value format.
- Links
[]Get
Category V2Link - A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
- Owner
Uuid string - This field contains the UUID of a user who owns the category.
- Tenant
Id string - A globally unique identifier that represents the tenant that owns this entity.
- Type string
- Denotes the type of a category. There are three types of categories: SYSTEM, INTERNAL, and USER.
- Value string
- The value of a category when it is represented in key:value format
- Expand string
- associations
List<Get
Category V2Association> - This field gives basic information about resources that are associated to the category.
- description String
- A string consisting of the description of the category as defined by the user.
- detailed
Associations List<GetCategory V2Detailed Association> - This field gives detailed information about resources that are associated to the category.
- ext
Id String - id String
- The provider-assigned unique ID for this managed resource.
- key String
- The key of a category when it is represented in key:value format.
- links
List<Get
Category V2Link> - A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
- owner
Uuid String - This field contains the UUID of a user who owns the category.
- tenant
Id String - A globally unique identifier that represents the tenant that owns this entity.
- type String
- Denotes the type of a category. There are three types of categories: SYSTEM, INTERNAL, and USER.
- value String
- The value of a category when it is represented in key:value format
- expand String
- associations
Get
Category V2Association[] - This field gives basic information about resources that are associated to the category.
- description string
- A string consisting of the description of the category as defined by the user.
- detailed
Associations GetCategory V2Detailed Association[] - This field gives detailed information about resources that are associated to the category.
- ext
Id string - id string
- The provider-assigned unique ID for this managed resource.
- key string
- The key of a category when it is represented in key:value format.
- links
Get
Category V2Link[] - A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
- owner
Uuid string - This field contains the UUID of a user who owns the category.
- tenant
Id string - A globally unique identifier that represents the tenant that owns this entity.
- type string
- Denotes the type of a category. There are three types of categories: SYSTEM, INTERNAL, and USER.
- value string
- The value of a category when it is represented in key:value format
- expand string
- associations
Sequence[Get
Category V2Association] - This field gives basic information about resources that are associated to the category.
- description str
- A string consisting of the description of the category as defined by the user.
- detailed_
associations Sequence[GetCategory V2Detailed Association] - This field gives detailed information about resources that are associated to the category.
- ext_
id str - id str
- The provider-assigned unique ID for this managed resource.
- key str
- The key of a category when it is represented in key:value format.
- links
Sequence[Get
Category V2Link] - A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
- owner_
uuid str - This field contains the UUID of a user who owns the category.
- tenant_
id str - A globally unique identifier that represents the tenant that owns this entity.
- type str
- Denotes the type of a category. There are three types of categories: SYSTEM, INTERNAL, and USER.
- value str
- The value of a category when it is represented in key:value format
- expand str
- associations List<Property Map>
- This field gives basic information about resources that are associated to the category.
- description String
- A string consisting of the description of the category as defined by the user.
- detailed
Associations List<Property Map> - This field gives detailed information about resources that are associated to the category.
- ext
Id String - id String
- The provider-assigned unique ID for this managed resource.
- key String
- The key of a category when it is represented in key:value format.
- links List<Property Map>
- A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
- owner
Uuid String - This field contains the UUID of a user who owns the category.
- tenant
Id String - A globally unique identifier that represents the tenant that owns this entity.
- type String
- Denotes the type of a category. There are three types of categories: SYSTEM, INTERNAL, and USER.
- value String
- The value of a category when it is represented in key:value format
- expand String
Supporting Types
GetCategoryV2Association
- Category
Id string - External identifier for the given category, used across all v4 apis/entities/resources where categories are referenced.
- Count int
- Count of associations of a particular type of entity or policy
- Resource
Group string - An enum denoting the resource group. Resources can be organized into either an entity or a policy.
- Resource
Type string - An enum denoting the associated resource types. Resource types are further grouped into 2 types - entity or a policy.
- Category
Id string - External identifier for the given category, used across all v4 apis/entities/resources where categories are referenced.
- Count int
- Count of associations of a particular type of entity or policy
- Resource
Group string - An enum denoting the resource group. Resources can be organized into either an entity or a policy.
- Resource
Type string - An enum denoting the associated resource types. Resource types are further grouped into 2 types - entity or a policy.
- category
Id String - External identifier for the given category, used across all v4 apis/entities/resources where categories are referenced.
- count Integer
- Count of associations of a particular type of entity or policy
- resource
Group String - An enum denoting the resource group. Resources can be organized into either an entity or a policy.
- resource
Type String - An enum denoting the associated resource types. Resource types are further grouped into 2 types - entity or a policy.
- category
Id string - External identifier for the given category, used across all v4 apis/entities/resources where categories are referenced.
- count number
- Count of associations of a particular type of entity or policy
- resource
Group string - An enum denoting the resource group. Resources can be organized into either an entity or a policy.
- resource
Type string - An enum denoting the associated resource types. Resource types are further grouped into 2 types - entity or a policy.
- category_
id str - External identifier for the given category, used across all v4 apis/entities/resources where categories are referenced.
- count int
- Count of associations of a particular type of entity or policy
- resource_
group str - An enum denoting the resource group. Resources can be organized into either an entity or a policy.
- resource_
type str - An enum denoting the associated resource types. Resource types are further grouped into 2 types - entity or a policy.
- category
Id String - External identifier for the given category, used across all v4 apis/entities/resources where categories are referenced.
- count Number
- Count of associations of a particular type of entity or policy
- resource
Group String - An enum denoting the resource group. Resources can be organized into either an entity or a policy.
- resource
Type String - An enum denoting the associated resource types. Resource types are further grouped into 2 types - entity or a policy.
GetCategoryV2DetailedAssociation
- Category
Id string - External identifier for the given category, used across all v4 apis/entities/resources where categories are referenced.
- Resource
Group string - An enum denoting the resource group. Resources can be organized into either an entity or a policy.
- Resource
Id string - The UUID of the entity or policy associated with the particular category.
- Resource
Type string - An enum denoting the associated resource types. Resource types are further grouped into 2 types - entity or a policy.
- Category
Id string - External identifier for the given category, used across all v4 apis/entities/resources where categories are referenced.
- Resource
Group string - An enum denoting the resource group. Resources can be organized into either an entity or a policy.
- Resource
Id string - The UUID of the entity or policy associated with the particular category.
- Resource
Type string - An enum denoting the associated resource types. Resource types are further grouped into 2 types - entity or a policy.
- category
Id String - External identifier for the given category, used across all v4 apis/entities/resources where categories are referenced.
- resource
Group String - An enum denoting the resource group. Resources can be organized into either an entity or a policy.
- resource
Id String - The UUID of the entity or policy associated with the particular category.
- resource
Type String - An enum denoting the associated resource types. Resource types are further grouped into 2 types - entity or a policy.
- category
Id string - External identifier for the given category, used across all v4 apis/entities/resources where categories are referenced.
- resource
Group string - An enum denoting the resource group. Resources can be organized into either an entity or a policy.
- resource
Id string - The UUID of the entity or policy associated with the particular category.
- resource
Type string - An enum denoting the associated resource types. Resource types are further grouped into 2 types - entity or a policy.
- category_
id str - External identifier for the given category, used across all v4 apis/entities/resources where categories are referenced.
- resource_
group str - An enum denoting the resource group. Resources can be organized into either an entity or a policy.
- resource_
id str - The UUID of the entity or policy associated with the particular category.
- resource_
type str - An enum denoting the associated resource types. Resource types are further grouped into 2 types - entity or a policy.
- category
Id String - External identifier for the given category, used across all v4 apis/entities/resources where categories are referenced.
- resource
Group String - An enum denoting the resource group. Resources can be organized into either an entity or a policy.
- resource
Id String - The UUID of the entity or policy associated with the particular category.
- resource
Type String - An enum denoting the associated resource types. Resource types are further grouped into 2 types - entity or a policy.
GetCategoryV2Link
Package Details
- Repository
- nutanix pierskarsenbarg/pulumi-nutanix
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
nutanixTerraform Provider.
Viewing docs for Nutanix v0.11.0
published on Monday, Nov 24, 2025 by Piers Karsenbarg
published on Monday, Nov 24, 2025 by Piers Karsenbarg
